/*
 * Copyright 2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.netui.pageflow;

import org.apache.beehive.netui.pageflow.internal.PageFlowInitialization;
import org.apache.beehive.netui.util.logging.Logger;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;



/**
 * Performs various initialization at ServletContext-init time.
 */ 
public class PageFlowContextListener
        implements ServletContextListener
{
    private static final Logger _log = Logger.getInstance( PageFlowContextListener.class );
    
    public void contextInitialized( ServletContextEvent event )
    {
        if (_log.isDebugEnabled()) {
            _log.debug("In " + getClass().getName() + "; performing initializations.");
        }
        PageFlowInitialization.performInitializations(event.getServletContext(), null);
    }

    public void contextDestroyed( ServletContextEvent event )
    {
    }
}

